package com.yuchen.saas.park.service.pull.entity;

/**
 * @author 吕海泉
 * @create 2021/1/7 22:23
 */

@Deprecated
public enum RfifEnum {
    status ("E28011700000021070A29471","1好灭火器","1楼"),
    status1("E280116060000208B1A7F526", "2号灭火器","2楼"),
    status2("E28011700000020C856B697B", "3号灭火器","3楼"),
    status3("E28011700000021070A28D7F", "4号灭火器","4楼"),
    status4("E28011700000021070A23172", "5号灭火器","5楼"),
    status5("E2801170000002113AAAE38A", "6号灭火器","6楼"),
    status6("E28011700000020F19F48BE7", "7号灭火器","7楼"),
    status7("E28011700000020C856B4DCB", "8号灭火器","8楼"),
    status8("E28011700000020C856B690B", "9号灭火器","9楼"),
    status9("E28011700000020F19F4A597", "10号灭火器","10楼"),
    status10("E28011700000020C856B4DEB","11号灭火器","11楼"),
    static11("E28011700000021070A2308D","12号灭火器","12楼");
    private String epc;
    private String deviceName;
    private String position;
    private RfifEnum(String epc, String  deviceName,String position) {
        this.epc = epc;
        this.deviceName = deviceName;
        this.position = position;
    }


    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getEpc() {
        return epc;
    }

    public void setEpc(String epc) {
        this.epc = epc;
    }

    public static RfifEnum getDataByEpc(String epc){
        for (RfifEnum temp : RfifEnum.values()) {
            if (temp.getEpc().equals(epc)) {
                return temp;
            }
        }
        return null;
    }

}
